%global base_name  discovery
%global short_name commons-%{base_name}

Name:           apache-%{short_name}
Version:        0.5
Release:        %mkrel 17
Group:          Development/Java
Epoch:          2
Summary:        Apache Commons Discovery
License:        ASL 2.0
URL:            http://commons.apache.org/%{base_name}
Source0:        http://www.apache.org/dist/commons/%{base_name}/source/%{short_name}-%{version}-src.tar.gz
Patch0:         %{name}-addosgimanifest.patch
Patch1:         %{name}-remove-unreliable-test.patch
BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(commons-logging:commons-logging)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.commons:commons-parent:pom:)
BuildRequires:  mvn(org.apache.maven.plugins:maven-assembly-plugin)

%description
The Discovery component is about discovering, or finding, implementations for
pluggable interfaces.  Pluggable interfaces are specified with the intent that
multiple implementations are, or will be, available to provide the service
described by the interface.  Discovery provides facilities for finding and
instantiating classes, and for lifecycle management of singleton (factory)
classes.

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
%{summary}.

%prep
%setup -q -n %{short_name}-%{version}-src
%patch0
%patch1 -p1
%mvn_file : %{short_name} %{name}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE.txt NOTICE.txt RELEASE-NOTES.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt NOTICE.txt




%changelog
* Wed May 17 2017 neoclust <neoclust> 2:0.5-17.mga6
+ Revision: 1102460
- Add missing build-requires

* Wed Mar 02 2016 neoclust <neoclust> 2:0.5-16.mga6
+ Revision: 982514
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 2:0.5-15.mga6
+ Revision: 975451
- First rebuild of the java stack
- sync package apache-commons-discovery with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2:0.5-7.mga5
+ Revision: 746091
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2:0.5-6.mga5
+ Revision: 677802
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 2:0.5-5.mga4
+ Revision: 545668
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 dmorgan <dmorgan> 2:0.5-4.mga4
+ Revision: 501542
- Build with xmvn

* Fri Jan 11 2013 umeabot <umeabot> 2:0.5-3.mga3
+ Revision: 345711
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 dmorgan <dmorgan> 2:0.5-2.mga3
+ Revision: 343988
- Clean spec file
- New version 0.5

* Fri Aug 19 2011 gil <gil> 2:0.4-8.mga2
+ Revision: 134374
- added maven2 pom

* Wed Apr 27 2011 dmorgan <dmorgan> 2:0.4-7.mga1
+ Revision: 92232
- Rebuild after bootstrapping
- imported package apache-commons-discovery


* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2:0.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul  8 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2:0.4-5
- Add license to javadoc subpackage
- Fix jar symlink installation

* Wed May 12 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2:0.4-4
- Add obsoletes to javadoc subpackage
- Add proper symlinks for unversioned jar files

* Fri May  7 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2:0.4-3
- Add jpackage-utils as dep for -javadoc subpackage

* Fri May  7 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2:0.4-2
- Fix provides

* Thu May  6 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0.4-1
- Rename and cleanup of jakarta-commons-discovery

